Bug 216729 - sysutils/py-diffoscope: update to version 71
Summary: sysutils/py-diffoscope: update to version 71
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ed Maste
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-02 15:48 UTC by Ed Maste
Modified: 2017-10-21 00:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (koobs)
emaste: merge-quarterly?


Attachments
py-diffoscope update to v70 (3.31 KB, patch)
2017-02-02 15:48 UTC, Ed Maste
no flags Details | Diff
update patch to diffoscope 71 (804 bytes, patch)
2017-02-08 01:25 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-02-02 15:48:17 UTC
Created attachment 179530 [details]
py-diffoscope update to v70
Comment 1 Ed Maste freebsd_committer 2017-02-02 15:54:28 UTC
After this update files/ is empty so can be removed, not just the patch file it previously contained.
Comment 2 Ed Maste freebsd_committer 2017-02-08 01:25:42 UTC
Created attachment 179733 [details]
update patch to diffoscope 71
Comment 3 Ed Maste freebsd_committer 2017-02-08 01:27:37 UTC
(In reply to Ed Maste from comment #1)
Original patch was against an old ports tree on my laptop it seems.
Comment 4 Ed Maste freebsd_committer 2017-02-08 01:43:49 UTC
(In reply to Ed Maste from comment #3)
Oh, actually I just crossed paths with bapt's r433526 update from 59 to 67.
Comment 5 commit-hook freebsd_committer 2017-02-14 20:17:55 UTC
A commit references this bug:

Author: emaste
Date: Tue Feb 14 20:17:04 UTC 2017
New revision: 434137
URL: https://svnweb.freebsd.org/changeset/ports/434137

Log:
  sysutils/py-diffoscope: update to version 71

  PR:		216729
  Approved by:	koobs

Changes:
  head/sysutils/py-diffoscope/Makefile
  head/sysutils/py-diffoscope/distinfo
Comment 6 Ed Maste freebsd_committer 2017-02-14 22:28:37 UTC
Needs another update to v76 or later to address a security vulnerability.

https://reviews.freebsd.org/D9598 (vuxml entry)
https://reviews.freebsd.org/D9599 (update to v77)
Comment 7 commit-hook freebsd_committer 2017-02-22 22:05:32 UTC
A commit references this bug:

Author: emaste
Date: Wed Feb 22 22:05:12 UTC 2017
New revision: 434647
URL: https://svnweb.freebsd.org/changeset/ports/434647

Log:
  MFH: r433526 r434137 r434189

  Update to 67

  Note that all FreeBSD patches have been upstreamed and more
  In particular the requirement for /dev/fd has gone

  sysutils/py-diffoscope: update to version 71

  sysutils/py-diffoscope: update to v77

  PR:             216729
  Approved by:    portmgr (swills)
  Security:       CVE-2017-0359
  Sponsored by:   The FreeBSD Foundation

Changes:
_U  branches/2017Q1/
  branches/2017Q1/sysutils/py-diffoscope/Makefile
  branches/2017Q1/sysutils/py-diffoscope/distinfo
  branches/2017Q1/sysutils/py-diffoscope/files/
  branches/2017Q1/sysutils/py-diffoscope/pkg-message